Name:     apg
Version:  2.2.3
Release:  alt1
License:  BSD
Summary:  Automated password generator
Summary(ru_RU.KOI8-R):   
Group:    Text tools
URL:      http://www.adel.nursat.kz/apg/
Packager: Denis Ovsienko <pilot@altlinux.ru>
Source0:  http://www.adel.nursat.kz/apg/download/%{name}-%{version}.tar.gz
Source1:  %{name}.xinetd
Patch0:   %{name}-makefile.patch

%description
* Built-in ANSI X9.17 RNG (Random Number Generator)(CAST/SHA1)
* Built-in password strength checking system (support for Bloom filter for faster access)
* Two password generation algorithms:
  1. pronounceable password generation algorithm (according to NIST FIPS 181)
  2. random character password generation algorithm with 35 configurable modes of operation
* Configurable password length
* Configurable passwords amount
* Ability to initialize RNG with user string
* /dev/random support
* Ability to crypt() generated passwords and print crypted value as additional output
* Special parameters to call APG from shell scripts

%prep
%setup
%patch0

%build
%make_build -e all

%install
INSTALL_PREFIX=%{buildroot} APG_BIN_DIR=/usr/bin APG_MAN_DIR=%_mandir/man1 APGD_BIN_DIR=/usr/sbin \
APGD_MAN_DIR=%_mandir/man8 %make_install -e install
install -D %SOURCE1 %{buildroot}/%{_sysconfdir}/xinetd.d/%{name}d

%files
%_bindir/%{name}
%_bindir/%{name}bfm
%_man1dir/*
%doc CHANGES INSTALL README THANKS TODO

%package daemon
Requires: %{name} xinetd service
Group:    System/Servers
Summary:  Automated password generator daemon
Summary(ru_RU.KOI8-R):    

%description daemon
* Ability to log password generation requests for network version
* Password Generator Protocol (RFC972) support
* Ability to enforce remote users to use only allowed password generation method

%files daemon
%_sbindir/%{name}d
%_man8dir/*
%_sysconfdir/xinetd.d/%{name}d

%post daemon
useradd -c "APG daemon" -r -d /dev/null -s /dev/null apgd
service xinetd condreload

%postun daemon
service xinetd condreload
userdel apgd

%changelog
* Fri Nov 07 2003 Denis Ovsienko <pilot@altlinux.ru> 2.2.3-alt1
- new version with a minor fix

* Mon Sep 01 2003 Denis Ovsienko <pilot@altlinux.ru> 2.2.2-alt1.0
- Initial Sisyphus build


